kr.co.hanwha.hifive.enums

## Enum ProjectFilterType

- java.lang.Object
- - java.lang.Enum<ProjectFilterType>
  - - kr.co.hanwha.hifive.enums.ProjectFilterType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProjectFilterType>

    public enum ProjectFilterType
    extends java.lang.Enum<ProjectFilterType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL` 전체
`IN_PROGRESS` 진행중
`NONE`

### Field Summary

Fields
`private int` `mType`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`static ProjectFilterType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProjectFilterType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final ProjectFilterType NONE

#### IN_PROGRESS

    public static final ProjectFilterType IN_PROGRESS

진행중

#### ALL

    public static final ProjectFilterType ALL

전체

### Field Detail

#### mType

    private int mType

### Method Detail

#### values

    public static ProjectFilterType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ProjectFilterType c : ProjectFilterType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ProjectFilterType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public int getCode()